Get available markets for a sport and date
curl --request GET \
--url https://therundown.io/api/v2/sports/{sportID}/markets/{date} \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v2/sports/{sportID}/markets/{date}"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v2/sports/{sportID}/markets/{date}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"4": [
{
"id": 29,
"name": "points",
"line_value_is_participant": false,
"proposition": true,
"description": "Points: How many points will this player score?",
"short_description": "Points",
"period_id": 0,
"live_variant_id": 90,
"updated_at": "2026-01-23T20:38:12Z"
},
{
"id": 35,
"name": "player_rebounds",
"line_value_is_participant": false,
"proposition": true,
"description": "Rebounds: How many rebounds will this player record?",
"short_description": "Rebounds",
"period_id": 0,
"live_variant_id": 982,
"updated_at": "2026-01-23T20:38:12Z"
}
]
}V2 Markets
Get available markets for a sport and date
GET
/
api
/
v2
/
sports
/
{sportID}
/
markets
/
{date}
Get available markets for a sport and date
Authorizations
Recommended API key request header for new integrations
Path Parameters
Sport ID. Common values: 1=NCAAF, 2=NFL, 3=MLB, 4=NBA, 5=NCAAB, 6=NHL, 7=UFC, 8=WNBA, 9=CFL, 10=MLS, 11=EPL, 16=UEFA Champions League, 33=UEFA Europa League, 38=ATP Tennis, 39=WTA Tennis, 40=PGA Tour Golf, 41=Formula 1
Query Parameters
Set to 1 to hide closed markets
Available options:
1 UTC offset in minutes for the date boundary. Use 300 for US Central, 240 for Eastern, 360 for Mountain, 420 for Pacific. Without this, the API day boundary is midnight UTC.
Example:
300
Response
200 - application/json
Markets for this sport
Show child attributes
Show child attributes